from WMCore.Configuration import Configuration

config=Configuration()
config.component_('Heartbeat')

# URL list to be verified
config.Heartbeat.urls=['https://cmsweb.cern.ch/dbs_discovery/',
                       'https://cmsweb.cern.ch/conddb/',
                       'https://cmsweb.cern.ch/phedex/',
                       'https://cmsweb.cern.ch/prodmon/plots/index',
                       'https://cmsweb.cern.ch/prodrequest',
                       'https://cmswttest.cern.ch/dbs_discovery/',
                       'https://cmswttest.cern.ch/sitedb/sitelist/']

# SLS output file: set to None if not needed 
config.Heartbeat.outputToSls=None
#config.Heartbeat.outputToSls='/var/www/data/update.xml'

# SSL configuration: it is also possible to use user certs or proxies
# Comment it out if only non SSL URLs were provided
config.Heartbeat.X509_CERT='/etc/grid-security/hostcert.pem'
config.Heartbeat.X509_KEY='/etc/grid-security/hostkey.pem'

